namespace Tests.Parsers;

public class AssignmentAssumption_Tests
{
	[Test]
	public void ParseTest()
	{
		var competitiveEvents = TestEntityHandler.GetCompetitiveEvents();
		var students = TestEntityHandler.GetStudents(competitiveEvents);
		var eventAssumptions = TestEntityHandler.GetEventAssumptions(competitiveEvents, students);

		foreach (var ea in eventAssumptions)
		{
			Console.WriteLine($"{ea.Assumption,10} {ea.Event.ShortName, -20} {ea.Student.FirstName}");
		}

		Assert.Pass();
	}
}